[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# strcat

Concatenate 2 null-terminated strings.

## Declaration

Source position: syspchh.inc line 23

`function strcat(`
`dest: pchar;`
`source: pchar`
`):pchar; function strcat(`
`dest: pwidechar;`
`source: pwidechar`
`):pwidechar;`

## Description

Attaches Source to Dest and returns Dest.

## Errors

No length checking is performed.

## See also

StrLCat |  | Concatenate 2 null-terminated strings, with length boundary.

## Example

    Program Example11;

    Uses strings;

    { Program to demonstrate the StrCat function. }

    Const P1 : PChar = 'This is a PChar String.';

    Var P2 : PChar;

    begin
      P2:=StrAlloc (StrLen(P1)*2+1);
      StrMove (P2,P1,StrLen(P1)+1); { P2=P1 }
      StrCat (P2,P1);               { Append P2 once more }
      Writeln ('P2 : ',P2);
      StrDispose(P2);
    end.